Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.util
Interface TimeScheduler.Task

All Superinterfaces:
  java.lang.Runnable

All Known Implementing Classes:
  DefaultRetransmitter.SeqnoTask, RangeBasedRetransmitter.RangeTask, Retransmitter.Task

Enclosing interface:
  TimeScheduler

    public static interface TimeScheduler.Task

extends java.lang.Runnable

The interface that dynamic tasks (`TimeScheduler.scheduleWithDynamicInterval(org.jgroups.util.TimeScheduler.Task)`) must implement

Method Summary
`long` | `nextInterval()`

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### nextInterval

    long nextInterval()

  Returns:
    the next scheduled interval. If <= 0 the task will not be re-scheduled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.